<?

include_once 'config.php';
include_once '../../sys/fnc.php';
$title = 'Пополнение баланса';
include_once '../../sys/head.php';


if (isset($_POST['id_shop']) && is_numeric($_POST['id_shop']) && isset($_POST['id_bill']) && is_numeric($_POST['id_bill']) && isset($_POST['summa']) && is_numeric($_POST['summa']) && isset($_POST['hash']))
	{
	$sql=mysql_query("SELECT * FROM `worldkassa` WHERE `id_bill` = '".$_POST['id_bill']."'");
	if (mysql_num_rows($sql)>0)
		{
		$data=mysql_fetch_assoc($sql);
		if ($_POST['summa']<$data['summa'])
			{
			//Можно поставить уведомление на подмену суммы пополнения
			}
			elseif($_POST['hash']!=md5($hash.$id_shop.$_POST['id_bill'].$_POST['summa']))
			{
			//Можно поставить уведомление, что не совпал хеш
			}
			else
			{
			mysql_query("UPDATE `worldkassa` SET `time_oplata` = '".time()."' WHERE `id` = '".$data['id']."'");
			mysql_query("UPDATE `user` SET `wmr` = `wmr`+".$data['summa']." WHERE `id` = '".$data['id_user']."'");
			mysql_query("UPDATE `user` SET `dsp_repost_c` = `dsp_repost_c`+".$data['summa']." WHERE `id` = '".$data['id_user']."'");
			mysql_query("INSERT INTO `history_money` (`user`, `money`, `mp`, `usl`, `time`) values('$data[id_user]', '".sprintf("%.02f",$data['summa'])."', '1', 'Пополнил баланс', '".time()."')");
			mysql_query("INSERT INTO `logs_bill` (`id_user`, `time`, `razd`, `text`) values('$data[id_user]', '".time()."', 'Пополнил счет на ".$data['summa']." - ', 'Пользователь #ID - ".$data['id_user']."')"); // Записуем лог

			}
		}
	}
?>